<?php
/*
Simple:Press Forum
Admin Toolbox Uninstall Form
$LastChangedDate: 2009-06-07 00:03:53 +0100 (Sun, 07 Jun 2009) $
$Rev: 2004 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

function sfa_toolbox_log_form()
{
	$sflog = sfa_get_log_data();

#== log Tab ==========================================================

	sfa_paint_open_tab(__("Toolbox", "sforum")." - ".__("Install Log", "sforum"));

			if(!$sflog)
			{
				_e("There are no Install Log Entries", "sforum");
				return;
			}

			sfa_paint_open_fieldset(__("Install Log", "sforum"), false, '', true);
				echo "<tr>";
				echo "<th>".__("Version","sforum")."</th>";
				echo "<th>".__("Build","sforum")."</th>";
				echo "<th>".__("Release","sforum")."</th>";
				echo "<th>".__("Installed","sforum")."</th>";
				echo "<th>".__("By","sforum")."</th>";
				echo "</tr>";

				foreach ($sflog as $log)
				{
					echo "<tr>";
					echo "<td class='sflabel'>".$log['version']."</td>";
					echo "<td class='sflabel'>".$log['build']."</td>";
					echo "<td class='sflabel'>".$log['release_type']."</td>";
					echo "<td class='sflabel'>".sf_date('d', $log['install_date'])."</td>";
					echo "<td class='sflabel'>".sf_filter_name_display($log['display_name'])."</td>";
					echo "</tr>";
				}
			sfa_paint_close_fieldset();
		sfa_paint_close_panel();
	sfa_paint_close_tab();

	return;
}

?>